QuantLib: MCHullWhiteCapFloorEngine< RNG, S > Class Template Reference

A free/open-source library for quantitative finance Reference manual - version 1.12

Public Types | Public Member Functions | Protected Member Functions | List of all members
MCHullWhiteCapFloorEngine< RNG, S > Class Template Reference
Pricing engines » Cap/floor engines

Monte Carlo Hull-White engine for cap/floors. More...

`#include <ql/pricingengines/capfloor/mchullwhiteengine.hpp>`

Inheritance diagram for MCHullWhiteCapFloorEngine< RNG, S >:
[legend]

## Public Types
typedef simulation::path_generator_type | path_generator_type
typedef simulation::path_pricer_type | path_pricer_type
typedef simulation::stats_type | stats_type
Public Types inherited from Observer
typedef std::set< boost::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator
Public Types inherited from McSimulation< SingleVariate, RNG, S >
typedef MonteCarloModel< SingleVariate, RNG, S >::path_generator_type | path_generator_type
typedef MonteCarloModel< SingleVariate, RNG, S >::path_pricer_type | path_pricer_type
typedef MonteCarloModel< SingleVariate, RNG, S >::stats_type | stats_type
typedef MonteCarloModel< SingleVariate, RNG, S >::result_type | result_type

## Public Member Functions
| MCHullWhiteCapFloorEngine (const boost::shared_ptr< HullWhite > &model, bool brownianBridge, bool antitheticVariate, Size requiredSamples, Real requiredTolerance, Size maxSamples, BigNatural seed)
void | calculate () const
Public Member Functions inherited from GenericEngine< CapFloor::arguments, CapFloor::results >
PricingEngine::arguments * | getArguments () const
const PricingEngine::results * | getResults () const
void | reset ()
void | update ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()
Public Member Functions inherited from McSimulation< SingleVariate, RNG, S >
result_type | value (Real tolerance, Size maxSamples=QL_MAX_INTEGER, Size minSamples=1023) const
| add samples until the required absolute tolerance is reached
result_type | valueWithSamples (Size samples) const
| simulate a fixed number of samples
result_type | errorEstimate () const
| error estimated using the samples simulated so far
const stats_type & | sampleAccumulator (void) const
| access to the sample accumulator for richer statistics
void | calculate (Real requiredTolerance, Size requiredSamples, Size maxSamples) const
| basic calculate method provided to inherited pricing engines

## Protected Member Functions
boost::shared_ptr< path_pricer_type > | pathPricer () const
TimeGrid | timeGrid () const
boost::shared_ptr< path_generator_type > | pathGenerator () const
Protected Member Functions inherited from McSimulation< SingleVariate, RNG, S >
| McSimulation (bool antitheticVariate, bool controlVariate)
virtual boost::shared_ptr< path_pricer_type > | controlPathPricer () const
virtual boost::shared_ptr< path_generator_type > | controlPathGenerator () const
virtual boost::shared_ptr< PricingEngine > | controlPricingEngine () const
virtual result_type | controlVariateValue () const

## Additional Inherited Members
Static Protected Member Functions inherited from McSimulation< SingleVariate, RNG, S >
static Real | maxError (const Sequence &sequence)
static Real | maxError (Real error)
Protected Attributes inherited from GenericEngine< CapFloor::arguments, CapFloor::results >
CapFloor::arguments | arguments_
CapFloor::results | results_
Protected Attributes inherited from McSimulation< SingleVariate, RNG, S >
boost::shared_ptr< MonteCarloModel< SingleVariate, RNG, S > > | mcModel_
bool | antitheticVariate_
bool | controlVariate_

## Detailed Description

### template<class RNG = PseudoRandom, class S = Statistics>
class QuantLib::MCHullWhiteCapFloorEngine< RNG, S >

Monte Carlo Hull-White engine for cap/floors.